DataResultPanel (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client.datafeature

## Class DataResultPanel

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.extjs.gxt.ui.client.widget.Component
      - - com.extjs.gxt.ui.client.widget.BoxComponent
        - - com.extjs.gxt.ui.client.widget.Container<com.extjs.gxt.ui.client.widget.TabItem>
          - - com.extjs.gxt.ui.client.widget.TabPanel
            - - org.gcube.portlets.user.gisviewer.client.datafeature.DataResultPanel

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.event.Observable, com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget

      public class DataResultPanel
      extends com.extjs.gxt.ui.client.widget.TabPanel

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.extjs.gxt.ui.client.widget.TabPanel

      `com.extjs.gxt.ui.client.widget.TabPanel.TabPanelMessages, com.extjs.gxt.ui.client.widget.TabPanel.TabPosition`

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.extjs.gxt.ui.client.widget.TabPanel

      `closeContextMenu, itemTemplate`

    - ### Fields inherited from class com.extjs.gxt.ui.client.widget.Container

      `attachChildren, enableLayout, layoutExecuted, layoutNeeded, layoutOnAttach, layoutOnChange`

    - ### Fields inherited from class com.extjs.gxt.ui.client.widget.BoxComponent

      `adjustSize, cacheSizes, ensureVisibilityOnSizing, height, lastSize, layer, shim, width`

    - ### Fields inherited from class com.extjs.gxt.ui.client.widget.Component

      `afterRender, attachables, baseStyle, disabled, disabledStyle, disableTextSelection, dummy, focusable, hidden, mask, maskMessage, maskMessageStyleName, monitorWindowResize, rendered, resizeHandler, setElementRender, stateId, swallowEvents, toolTip, windowResizeDelay, windowResizeTask`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataResultPanel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGrid_h()`
    `String` | `getGrid_w()`
    `boolean` | `isEmpty()`
    `void` | `setDataResult(List<DataResult> dataResults)`
    `void` | `setDataResultFromWfs(List<WfsTable> result)`
    `void` | `setGrid_h(String gridH)`
    `void` | `setGrid_w(String gridW)`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.TabPanel

      `add, close, createComponentEvent, createContainerEvent, doAttachChildren, doDetachChildren, findItem, getAnimScroll, getBodyBorder, getBorderStyle, getLayout, getLayoutTarget, getMessages, getMinTabWidth, getResizeTabs, getScrollDuration, getSelectedItem, getTabMargin, getTabPosition, getTabScroll, getTabWidth, insert, isAutoSelect, isCloseContextMenu, isDeferredRender, isPlain, onAfterLayout, onAttach, onBlur, onComponentEvent, onDetach, onFocus, onInsert, onItemContextMenu, onItemTextChange, onKeyPress, onLeft, onRemove, onRender, onResize, onRight, onUnload, remove, removeAll, scrollToTab, setAnimScroll, setAutoHeight, setAutoSelect, setBodyBorder, setBorderStyle, setCloseContextMenu, setDeferredRender, setMessages, setMinTabWidth, setPlain, setResizeTabs, setScrollDuration, setScrollIncrement, setSelection, setTabMargin, setTabPosition, setTabScroll, setTabWidth`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.Container

      `adjustIndex, adopt, disable, doLayout, doLayout, enable, findItem, getItem, getItemByItemId, getItemCount, getItems, getWidget, indexOf, isLayoutNeeded, iterator, layout, layout, notifyHide, notifyShow, onBeforeLayoutExcecuted, onLayoutExcecuted, orphan, remove, removeAll, scrollIntoView, setLayout, setLayoutNeeded, setLayoutOnChange, wrapWidget`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.BoxComponent

      `adjustPosition, adjustSize, afterRender, getBounds, getHeight, getHeight, getPosition, getPositionEl, getResizeEl, getShadow, getShadowOffset, getShadowPosition, getSize, getWidth, getWidth, hideShadow, hideShim, hideUnders, isAutoHeight, isAutoWidth, isDeferHeight, isShim, onHide, onPosition, onShow, setAutoWidth, setBounds, setBounds, setDeferHeight, setHeight, setHeight, setPagePosition, setPagePosition, setPixelSize, setPosition, setShadow, setShadowOffset, setShadowPosition, setShim, setSize, setSize, setWidth, setWidth, sync, syncSize`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.Component

      `addAttachable, addListener, addPlugin, addStyleName, addStyleOnOver, addWidgetListener, applyState, assertAfterRender, assertPreRender, beforeRender, blur, clearState, createObservable, createStyles, disableContextMenu, disableEvents, disableTextSelection, el, enableEvents, fireEvent, fireEvent, fireEvent, fly, focus, frame, getAriaSupport, getBaseStyle, getBorders, getContextMenu, getData, getElement, getFocusEl, getFocusSupport, getHideMode, getId, getItemId, getListeners, getModel, getObservable, getPlugins, getState, getStateId, getTabIndex, getTitle, getToolTip, getWindowResizeDelay, hasListeners, hasListeners, hide, hideToolTip, initState, isDisabledEvents, isDisableTextSelection, isEnabled, isMasked, isMonitorWindowResize, isRendered, isStateful, isVisible, isVisible, mask, mask, mask, onBrowserEvent, onDetachHelper, onDisable, onEnable, onEnsureDebugId, onHideContextMenu, onLoad, onRightClick, onShowContextMenu, onWindowResize, previewEvent, recalculate, removeAllListeners, removeAttachagle, removeFromParent, removeListener, removeStyleName, removeStyleOnOver, removeSwallow, removeToolTip, removeWidgetListener, render, render, repaint, saveState, setAriaRole, setAriaState, setAriaSupport, setBorders, setContextMenu, setData, setEl, setElement, setElement, setEnabled, setFiresEvents, setHideMode, setId, setIntStyleAttribute, setItemId, setModel, setMonitorWindowResize, setParent, setStateful, setStateId, setStyleAttribute, setStyleName, setTabIndex, setTitle, setToolTip, setToolTip, setVisible, setWindowResizeDelay, setZIndex, show, sinkEvents, swallowEvent, swallowEvent, toString, unframe, unmask`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, setLayoutData`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, removeStyleDependentName, resolvePotentialElement, setElement, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataResultPanel

          public DataResultPanel()

  - ### Method Detail

    - #### getGrid_h

          public String getGrid_h()

    - #### setGrid_h

          public void setGrid_h(String gridH)

    - #### getGrid_w

          public String getGrid_w()

    - #### setGrid_w

          public void setGrid_w(String gridW)

    - #### setDataResult

          public void setDataResult(List<DataResult> dataResults)

    - #### isEmpty

          public boolean isEmpty()

    - #### setDataResultFromWfs

          public void setDataResultFromWfs(List<WfsTable> result)

      Parameters:
        `result` -

Copyright © 2014. All Rights Reserved.